/*# ---------------------------------------------------------------------
#
# Copyright (c) CREATIS (Centre de Recherche en Acquisition et Traitement de l'Image
#                        pour la Sant�)
# Authors : Eduardo Davila, Frederic Cervenansky, Claire Mouton
# Previous Authors : Laurent Guigues, Jean-Pierre Roux
# CreaTools website : www.creatis.insa-lyon.fr/site/fr/creatools_accueil
#
#  This software is governed by the CeCILL-B license under French law and
#  abiding by the rules of distribution of free software. You can  use,
#  modify and/ or redistribute the software under the terms of the CeCILL-B
#  license as circulated by CEA, CNRS and INRIA at the following URL
#  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html
#  or in the file LICENSE.txt.
#
#  As a counterpart to the access to the source code and  rights to copy,
#  modify and redistribute granted by the license, users are provided only
#  with a limited warranty  and the software's author,  the holder of the
#  economic rights,  and the successive licensors  have only  limited
#  liability.
#
#  The fact that you are presently reading this means that you have had
#  knowledge of the CeCILL-B license and that you accept its terms.
# ------------------------------------------------------------------------ */

//=====
// Don't edit this file. This file is generated from xml description..
//=====
#include "bbcreaMaracasVisuColorLayerImageView.h"
#include "bbcreaMaracasVisuPackage.h"

#include "ColorLayerImageViewPanel.h"

namespace bbcreaMaracasVisu
{

BBTK_ADD_BLACK_BOX_TO_PACKAGE(creaMaracasVisu,ColorLayerImageView)
BBTK_BLACK_BOX_IMPLEMENTATION(ColorLayerImageView,bbtk::WxBlackBox);
//=====
// Don't edit this file. This file is generated from xml description..
//=====
void ColorLayerImageView::Process()
{

    ColorLayerImageViewPanel *clivp = (ColorLayerImageViewPanel*)bbGetOutputWidget();

    clivp->SetActive( bbGetInputActive() );

    clivp->GetColorLayerImageViewManager()->SetwxVtkBaseView( 0 , bbGetInputWxVtkBaseView() );
    clivp->GetColorLayerImageViewManager()->SetwxVtkBaseView( 1 , bbGetInputWxVtkBaseView1() );
    clivp->GetColorLayerImageViewManager()->SetwxVtkBaseView( 2 , bbGetInputWxVtkBaseView2() );
   
    std::vector<double> base_color = bbGetInputlstBaseColor();
    clivp->GetColorLayerImageViewManager()->SetBaseColors( base_color );

    std::vector<double> grey_level_boundaries = bbGetInputlstGreyLevelBoundaries();
    clivp->GetColorLayerImageViewManager()->SetGreyLevelBoundaries( grey_level_boundaries );
 
    clivp->GetColorLayerImageViewManager()->SetPlainOrGradientColor( bbGetInputPlainOrGradientColor() );
    clivp->SetFittingMode( bbGetInputFittingMode() );

    clivp->SetImage( bbGetInputIn() );



//   std::string msg;
//    if (bbGetInputTitle()!="")
//    {
//        msg = bbGetInputTitle()+": " + bbGetInputIn();
//    }else{
//        msg = bbGetInputIn();
//    }
//   ((wxStaticText*)bbGetOutputWidget())->SetLabel( bbtk::std2wx( msg ) );

}
//=====
// Don't edit this file. This file is generated from xml description..
//=====
void ColorLayerImageView::CreateWidget(wxWindow* parent)
{
  ColorLayerImageViewPanel *clivp = new ColorLayerImageViewPanel(parent, 0, 100, 1);
  bbSetOutputWidget( clivp );
}
//=====
// Don't edit this file. This file is generated from xml description..
//=====
void ColorLayerImageView::bbUserSetDefaultValues()
{
    bbSetInputIn(NULL);
    bbSetInputActive(true);
    bbSetInputWxVtkBaseView(NULL);
    bbSetInputWxVtkBaseView1(NULL);
    bbSetInputWxVtkBaseView2(NULL);
}
//=====
// Don't edit this file. This file is generated from xml description..
//=====
void ColorLayerImageView::bbUserInitializeProcessing()
{

}
//=====
// Don't edit this file. This file is generated from xml description..
//=====
void ColorLayerImageView::bbUserFinalizeProcessing()
{

}
}
// EO namespace bbcreaMaracasVisu
