/*# ---------------------------------------------------------------------
#
# Copyright (c) CREATIS (Centre de Recherche en Acquisition et Traitement de l'Image
#                        pour la Sant�)
# Authors : Eduardo Davila, Frederic Cervenansky, Claire Mouton
# Previous Authors : Laurent Guigues, Jean-Pierre Roux
# CreaTools website : www.creatis.insa-lyon.fr/site/fr/creatools_accueil
#
#  This software is governed by the CeCILL-B license under French law and
#  abiding by the rules of distribution of free software. You can  use,
#  modify and/ or redistribute the software under the terms of the CeCILL-B
#  license as circulated by CEA, CNRS and INRIA at the following URL
#  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html
#  or in the file LICENSE.txt.
#
#  As a counterpart to the access to the source code and  rights to copy,
#  modify and redistribute granted by the license, users are provided only
#  with a limited warranty  and the software's author,  the holder of the
#  economic rights,  and the successive licensors  have only  limited
#  liability.
#
#  The fact that you are presently reading this means that you have had
#  knowledge of the CeCILL-B license and that you accept its terms.
# ------------------------------------------------------------------------ */

/*!
 * @file structBCPSettings.h
 * @brief Contains BCPSettingsStruct structure.
 * @author Diego CACERES (diego.caceres[AT]creatis.insa-lyon.fr)
 * @date  2011-06-02
 */

#ifndef STRUCTBCPSETTINGS_H_
#define STRUCTBCPSETTINGS_H_

#include <string>
#include <wx/panel.h>
#include <wx/bitmap.h>
//EED-MLER #include "tlist.h"

/*!	@namespace <creaPanelButtonContainer>
 *	@brief Contains the creaPanelButtonContainer library included in creaMaracasVisu.
 */
namespace creaPanelButtonContainer
{
	/*! @struct <BCPSettingsStruct> structBCPSettings.h "structBCPSettings.h"
	 *	@brief This is the Button Container Settings structure.
	 */
	struct BCPSettingsStruct
	{
			std::string groupName; //! <The name of the group of buttons.
			std::string buttonName; //! <The name of the button.
			std::string iconpath; //! <The iconPath of the button.
			wxBitmap icon; //! <The icon of the button.
			std::string buttonDescription; //! <The description of the button.
			wxPanel* panel; //! <The panel of the button.

			//===MLER===
			std::string type; 			//!<Tipo contenedor>
			std::string itemsList;

	};
}
#endif //STRUCTBCPSETTINGS_H_
