/*# ---------------------------------------------------------------------
#
# Copyright (c) CREATIS (Centre de Recherche en Acquisition et Traitement de l'Image
#                        pour la Sant�)
# Authors : Eduardo Davila, Frederic Cervenansky, Claire Mouton
# Previous Authors : Laurent Guigues, Jean-Pierre Roux
# CreaTools website : www.creatis.insa-lyon.fr/site/fr/creatools_accueil
#
#  This software is governed by the CeCILL-B license under French law and
#  abiding by the rules of distribution of free software. You can  use,
#  modify and/ or redistribute the software under the terms of the CeCILL-B
#  license as circulated by CEA, CNRS and INRIA at the following URL
#  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html
#  or in the file LICENSE.txt.
#
#  As a counterpart to the access to the source code and  rights to copy,
#  modify and redistribute granted by the license, users are provided only
#  with a limited warranty  and the software's author,  the holder of the
#  economic rights,  and the successive licensors  have only  limited
#  liability.
#
#  The fact that you are presently reading this means that you have had
#  knowledge of the CeCILL-B license and that you accept its terms.
# ------------------------------------------------------------------------ */


#ifndef __WX__MPR__BASE__DATA__H
#define __WX__MPR__BASE__DATA__H

/*#include <vtkCommand.h>
#include "vtkRenderWindow.h"
#include <vtkVolumeRayCastMapper.h>

#include "vtkProp.h"


#include "vtkStripper.h"
#include <vtkGlyph3D.h>
#include "vtkLODActor.h"

//#include "vtkContourFilter.h"
//#include "vtkPolyDataNormals.h"
#include <vtkMarchingCubes.h> 

#include <vtkClipPolyData.h>

#include <vtkPiecewiseFunction.h>

#include <vtkVolume.h>
#include <vtkVolumeProperty.h>
#include <vtkVolumeRayCastMapper.h>
#include <vtkVolumeRayCastCompositeFunction.h>
#include <vtkBoxWidget.h>*/



//#include "vtkLookupTable.h"
//#include "vtkImageActor.h"

//#include <vtkPointWidget.h> 


//#include "./pPlotter/HistogramDialog.h"
#include "vtkTransform.h"

#include "marTypes.h"
//------------------------------------------------------------------


#define VTKMPRDATA_MAXTISSUE 4


//------------------------------------------------------------------
//------------------------------------------------------------------
//------------------------------------------------------------------

#include "vtkBaseData.h"
//#include "boxSurfaceObserver.h"

//------------------------------------------------------------------
//------------------------------------------------------------------
//------------------------------------------------------------------
#ifdef _DEBUG
#include <crtdbg.h>
#define DEBUG_NEW new(_NORMAL_BLOCK ,__FILE__, __LINE__)
#else
#define DEBUG_NEW new
#endif
class creaMaracasVisu_EXPORT vtkMPRBaseData: public vtkBaseData{
public:
	vtkMPRBaseData();
	virtual 			~vtkMPRBaseData();
	virtual void	Configure();
	int				GetMaxPositionX( );
	int				GetMaxPositionY( );
	int				GetMaxPositionZ( );
	double			GetX();
	double			GetY();
	void				SetX(double x);
	void				SetY(double y);
	void				GetDimensionExtention(int *x1,int *x2,int *y1,int *y2,int *z1,int *z2);
	vtkTransform*	GetTransformOrientation();
	void				SetNormal(double nx, double ny, double nz);
	void				InitTransformOrientation(vtkTransform *trans);

protected:
	int				_x1,_x2,_y1,_y2,_z1,_z2;

private:
	double			_x,_y;
	vtkTransform	*_transformOrientation;
};


//------------------------------------------------------------------
//------------------------------------------------------------------
//------------------------------------------------------------------





//------------------------------------------------------------------
//------------------------------------------------------------------
//------------------------------------------------------------------

// Callback for the interaction
//class boxVolumeObserver : public vtkCommand
//{
//	public:
//		vtkRenderWindow			*_renWin;
//		vtkVolumeRayCastMapper  *_volumeMapper;
//
//
//		boxVolumeObserver() {  }
//
//		virtual char const *GetClassName() const { return "boxVolumeObserver";}
//
//		static boxVolumeObserver *New(){
//				boxVolumeObserver * result;
//				result = new boxVolumeObserver();
//			return result;
//		}
//
//		virtual void Execute(vtkObject *wdg, unsigned long eventId, void* calldata) ;
//		void SetRenWin( vtkRenderWindow *renWin );
//		void SetVolumeMapper(vtkVolumeRayCastMapper *volumeMapper);
//};

//------------------------------------------------------------------
//------------------------------------------------------------------
//------------------------------------------------------------------


//------------------------------------------------------------------
//------------------------------------------------------------------
//------------------------------------------------------------------



#endif // __WX__MPR__BASE__DATA__H


